U++ - Task #2066
Docking package produce warning
09/12/2020 11:15 PM - Zbigniew Rebacz

Status: Approved Start date: 09/12/2020
Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: General Estimated time: 0.00 hour
Target version: Release 2020.2 Spent time: 0.00 hour
Description

Fix following warning in docking package:

/home/klugier/upp/uppsrc/Docking/DockCont.cpp (573): warning: address of array 'this->GetCurrent().GetStyle().highlight' will
always evaluate to 'true’ [-Wpointer-bool-conversion]
/home/klugier/upp/.cache/upp.out/reference/Docking/CLANG.Debug.Debug_Full.Gui.Shared/Docking$blitz.cpp (74): In file
included from /home/klugier/upp/.cache/upp.out/reference/Docking/CLANG.Debug.Debug_Full.Gui.Shared/Docking$blitz.cpp:74:
(): ChPaint(v, GetSize(), IGetCurrent().GetStyle().[Zh[2lghlight[?);

Should be in 2020.2.

History

#1 - 09/16/2020 03:52 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#2 - 09/17/2020 08:54 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
